<template>
    <v-card
        id="silver-pricing-plan"
        class="pricing-cards pt-4"
        :class="[{'selected': silverSelectedPlan}, className, silverClassName]"
        :min-height="heightPlan"
        max-width="400">
        <v-card-title class="instagram-growth-plan-name">
            {{ planInfo.name }}
        </v-card-title>
        <v-card-text>
            <v-row
                align="center"
                class="mx-0">
                <v-rating
                    :value="5"
                    color="silver"
                    dense
                    half-increments
                    readonly
                    size="14"/>
            </v-row>

            <div class="my-4 price">
                <span class="instagram-growth-plan-price">$ {{ planInfo.price }} /Month</span>
            </div>

            <div v-if="descriptionPlan" class="pricing-description text-left mb-4">
                {{ planInfo.description }}
            </div>
            <div>
                <ul class="benefits" :class="listBenefitClass">
                    <li v-for="benefit in planInfo.benefits.allow"
                        :key="benefit"
                        class="text-left">
                        <v-icon class="pr-2 benefit-check-icon">
                            mdi-check
                        </v-icon>
                        <span class="growth-benefit-allow">{{ benefit }}</span>
                    </li>
                    <li v-for="benefit in planInfo.benefits.disabled"
                        :key="benefit"
                        class="text-left ">
                        <v-icon class="pr-2 benefit-disabled-icon">
                            mdi-close
                        </v-icon>
                        <span class="growth-benefit-disabled">{{ benefit }}</span>
                    </li>
                </ul>
            </div>
            <div v-if="submitBtn" class="text-center select-pricing">
                <v-btn
                    class="px-12"
                    color="#FD1D1D"
                    dark
                    @click="choosePackage">
                    Select
                </v-btn>
            </div>
        </v-card-text>
    </v-card>
</template>
<script>
export default {
    name: 'SilverPricingCard',
    props: {
        silverSelectedPlan: {
            type: Boolean,
            default: true
        },
        className: {
            type: String,
            default: ''
        },
        silverClassName: {
            type: String,
            default: ''
        },
        submit: {
            type: Function,
            default: () => ({})
        },
        submitBtn: {
            type: Boolean,
            default: true,
        },
        heightPlan: {
            type: String,
            default: '500'
        },
        descriptionPlan: {
            type: Boolean,
            default: true
        },
        listBenefitClass: {
            type: String,
            default: ''
        }
    },
    data: () => ({
        planInfo: {
            name: 'silver',
            description: 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque habitant morbi tristique senectus et netus.',
            price: '58',
            benefits: {
                allow: ['test benefit 1', 'test benefit 2', 'test benefit 3', 'test benefit 4', 'test benefit 5'],
                disabled: ['test benefit 6']
            }
        }
    }),
    methods: {
        choosePackage() {
            this.$emit('choosePackage', this.planInfo);
            this.submit();
        }
    }
}
</script>

<style lang="scss" scoped>
    .v-card__title {
        flex-direction: column;
    }

</style>
